<template>
  <manga-view
    v-for="manga in mangaReadingStore.mangaReading"
    :key="manga.id"
    :manga="manga"
  ></manga-view>
</template>

<script>
import { mapStores } from "pinia"
import { useMangaReadingStore } from "../stores/MangaReadingStore.js"
import MangaView from "./MangaView.vue"

export default {
  components: {
    MangaView,
  },
  computed: mapStores(useMangaReadingStore),
  mounted() {
    this.mangaReadingStore.fetchData()
  }
}
</script>
